## ros-jazzy-yaml-cpp-vendor 9.0.1

=== debian/changelog ===
ros-jazzy-yaml-cpp-vendor (9.0.1-1bookworm) bookworm; urgency=high

  * Removed warnigns (#49 <https://github.com/ros2/yaml_cpp_vendor/issues/49>) (#50 <https://github.com/ros2/yaml_cpp_vendor/issues/50>)
    (cherry picked from commit 4b6808fd0f9b0b5e05928c0c8e44fd976a043d33)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: mergify[bot]

 -- Scott K Logan <scott@openrobotics.org>  Sun, 12 May 2024 16:00:00 -0000

ros-jazzy-yaml-cpp-vendor (9.0.0-1bookworm) bookworm; urgency=high

  * Upgrade to yaml-cpp 0.8.0 (#48 <https://github.com/ros2/yaml_cpp_vendor/issues/48>)
    Co-authored-by: Chris Lalancette <mailto:clalancette@gmail.com>
  * Contributors: Marco A. Gutierrez

 -- Scott K Logan <scott@openrobotics.org>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-yaml-cpp-vendor (8.3.2-1bookworm) bookworm; urgency=high

  * Support yaml-cpp >= 0.8.0 (#46 <https://github.com/ros2/yaml_cpp_vendor/issues/46>)
  * Contributors: Silvio Traversaro

 -- Scott K Logan <scott@openrobotics.org>  Tue, 26 Mar 2024 16:00:00 -0000

ros-jazzy-yaml-cpp-vendor (8.3.1-1bookworm) bookworm; urgency=high

  * Disable the -Wshadow warning when building under clang. (#45 <https://github.com/ros2/yaml_cpp_vendor/issues/45>)
  * Contributors: Chris Lalancette

 -- Scott K Logan <scott@openrobotics.org>  Mon, 25 Dec 2023 16:00:00 -0000

ros-jazzy-yaml-cpp-vendor (8.3.0-1bookworm) bookworm; urgency=high

  * Switch to ament_cmake_vendor_package (#43 <https://github.com/ros2/yaml_cpp_vendor/issues/43>)
  * Revamp the extras file to find the correct version. (#42 <https://github.com/ros2/yaml_cpp_vendor/issues/42>)
  * Contributors: Chris Lalancette, Scott K Logan

 -- Scott K Logan <scott@openrobotics.org>  Mon, 10 Jul 2023 16:00:00 -0000

ros-jazzy-yaml-cpp-vendor (8.2.0-1bookworm) bookworm; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Thu, 27 Apr 2023 16:00:00 -0000

ros-jazzy-yaml-cpp-vendor (8.1.2-1bookworm) bookworm; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#40 <https://github.com/ros2/yaml_cpp_vendor/issues/40>)
  * Contributors: Audrow Nash

 -- Scott K Logan <scott@openrobotics.org>  Sun, 12 Feb 2023 16:00:00 -0000

ros-jazzy-yaml-cpp-vendor (8.1.1-1bookworm) bookworm; urgency=high

  * Export YAML_CPP_DLL define on Windows (#30 <https://github.com/ros2/yaml_cpp_vendor/issues/30>) (#38 <https://github.com/ros2/yaml_cpp_vendor/issues/38>)
  * Contributors: Jacob Perron

 -- Scott K Logan <scott@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-jazzy-yaml-cpp-vendor (8.1.0-1bookworm) bookworm; urgency=high

  * Sets CMP0135 policy behavior to NEW (#36 <https://github.com/ros2/yaml_cpp_vendor/issues/36>)
  * Fixes policy CMP0135 warning for CMake >= 3.24 (#35 <https://github.com/ros2/yaml_cpp_vendor/issues/35>)
  * build shared lib only if BUILD_SHARED_LIBS is set (#34 <https://github.com/ros2/yaml_cpp_vendor/issues/34>)
  * Mirror rolling to master
  * Contributors: Audrow Nash, Cristóbal Arroyo, hannes09

 -- Scott K Logan <scott@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-jazzy-yaml-cpp-vendor (8.0.1-1bookworm) bookworm; urgency=high

  * Add missing dependency on yaml-cpp (#32 <https://github.com/ros2/yaml_cpp_vendor/issues/32>)
  * Contributors: Scott K Logan

 -- Scott K Logan <scott@openrobotics.org>  Tue, 12 Apr 2022 16:00:00 -0000

ros-jazzy-yaml-cpp-vendor (8.0.0-1bookworm) bookworm; urgency=high

  * Upgrade to yaml-cpp 0.7.0 (#25 <https://github.com/ros2/yaml_cpp_vendor/issues/25>)
  * Contributors: Chris Lalancette

 -- Scott K Logan <scott@openrobotics.org>  Thu, 03 Feb 2022 16:00:00 -0000

ros-jazzy-yaml-cpp-vendor (7.1.1-1bookworm) bookworm; urgency=high

  * Update maintainers to Audrow Nash (#26 <https://github.com/ros2/yaml_cpp_vendor/issues/26>)
  * Fix handling of CMAKE_C[XX]_FLAGS lists (#24 <https://github.com/ros2/yaml_cpp_vendor/issues/24>)
  * Contributors: Christophe Bedard, Scott K Logan

 -- Scott K Logan <scott@openrobotics.org>  Mon, 06 Dec 2021 16:00:00 -0000

ros-jazzy-yaml-cpp-vendor (7.1.0-1bookworm) bookworm; urgency=high

  * Always preserve source permissions in vendor packages (#22 <https://github.com/ros2/yaml_cpp_vendor/issues/22>)
  * Add an override flag to force vendored build (#21 <https://github.com/ros2/yaml_cpp_vendor/issues/21>)
  * Reapply "Use system installed yaml-cpp 0.6 if available (#8 <https://github.com/ros2/yaml_cpp_vendor/issues/8>)" (#16 <https://github.com/ros2/yaml_cpp_vendor/issues/16>)
  * Revert "Use system installed yaml-cpp 0.6 if available (#8 <https://github.com/ros2/yaml_cpp_vendor/issues/8>)" (#15 <https://github.com/ros2/yaml_cpp_vendor/issues/15>)
  * Use system installed yaml-cpp 0.6 if available (#8 <https://github.com/ros2/yaml_cpp_vendor/issues/8>)
  * Contributors: Ivan Santiago Paunovic, Scott K Logan, Sean Yen

 -- Scott K Logan <scott@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-jazzy-yaml-cpp-vendor (7.0.2-1bookworm) bookworm; urgency=high

  * Append to CMAKE_C_FLAGS instead of overwriting (#11 <https://github.com/ros2/yaml_cpp_vendor/issues/11>)
  * Export yaml-cpp via modern cmake (#9 <https://github.com/ros2/yaml_cpp_vendor/issues/9>)
  * Contributors: Karsten Knese, dodsonmg

 -- Scott K Logan <scott@openrobotics.org>  Mon, 25 May 2020 16:00:00 -0000

ros-jazzy-yaml-cpp-vendor (7.0.1-1bookworm) bookworm; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Sun, 26 Apr 2020 16:00:00 -0000

ros-jazzy-yaml-cpp-vendor (7.0.0-1bookworm) bookworm; urgency=high

  * add .dsv file beside custom environment hook (#7 <https://github.com/ros2/yaml_cpp_vendor/issues/7>)
    Signed-off-by: Dirk Thomas <mailto:dirk-thomas@users.noreply.github.com>
  * Contributors: Dirk Thomas

 -- Scott K Logan <scott@openrobotics.org>  Wed, 18 Sep 2019 16:00:00 -0000

ros-jazzy-yaml-cpp-vendor (6.0.1-1bookworm) bookworm; urgency=high

  * Pass CMAKE_TOOLCHAIN_FILE if crosscompiling (#6 <https://github.com/ros2/yaml_cpp_vendor/issues/6>)

