=== debian/control ===
Source: ros-jazzy-yaml-cpp-vendor
Section: misc
Priority: optional
Maintainer: Scott K Logan <scott@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-vendor-package, ros-jazzy-ros-workspace
Homepage: https://github.com/jbeder/yaml-cpp
Standards-Version: 3.9.2

Package: ros-jazzy-yaml-cpp-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-jazzy-ros-workspace
Description: Wrapper around yaml-cpp, it provides a fixed CMake module and an ExternalProject build of it.
